Security Advisory

Back to advisories

Local file disclosure when running on Windows (oC-SA-2013-016)

11th April 2013

Risk level: High

Description

Due to not rejecting "\" as path separator in all ownCloud versions prior to 5.0.4 including the 4.x branch an authenticated remote attacker is able to download arbitrary files from the server when running under Windows.

This vulnerability exists inside our used DAV implementation "SabreDAV" and was found by the ownCloud security team. SabreDAV released fixed versions to address this problem.

Affected Software

  • ownCloud Server < 5.0.4 (CVE-2013-1939)
  • ownCloud Server < 4.5.9 (CVE-2013-1939)
  • ownCloud Server < 4.0.14 (CVE-2013-1939)

Action Taken

It is recommended that all instances are upgraded to ownCloud Server 5.0.4, 4.5.9 or 4.0.14.

Acknowledgements

The ownCloud team thanks the following people for their research and responsible disclosure of the above advisory:

  • Lukas Reschke - ownCloud Inc. (lukas@owncloud.org) - Vulnerability discovery and disclosure.